Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding
Class StructuredDateEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.beans.propertyeditors.CustomDateEditor
              org.codehaus.groovy.grails.web.binding.StructuredDateEditor

All Implemented Interfaces:
  PropertyEditor, StructuredPropertyEditor

    public class StructuredDateEditor

extends CustomDateEditor
implements StructuredPropertyEditor

Structured editor for editing dates that takes 5 fields that represent the year, month, day, hour and minute and constructs a Date instance

Since:
  1.0.4
Author:
  Graeme Rocher

Constructor Summary
`StructuredDateEditor(DateFormat dateFormat, boolean b)`
`StructuredDateEditor(DateFormat dateFormat, boolean b, int i)`

Method Summary
`Object` | `assemble(Class type, Map fieldValues)` Assemble and bind a property value from the specified fieldValues and the given type
`List` | `getOptionalFields()`
`List` | `getRequiredFields()`

Methods inherited from class org.springframework.beans.propertyeditors.CustomDateEditor
`getAsText, setAsText`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructuredDateEditor

    public StructuredDateEditor(DateFormat dateFormat,
                                boolean b)

### StructuredDateEditor

    public StructuredDateEditor(DateFormat dateFormat,
                                boolean b,
                                int i)

Method Detail

### getRequiredFields

    public List getRequiredFields()

  Specified by:
    `getRequiredFields` in interface `StructuredPropertyEditor`
  Returns:
    The required fields

### getOptionalFields

    public List getOptionalFields()

  Specified by:
    `getOptionalFields` in interface `StructuredPropertyEditor`
  Returns:
    The optional fields

### assemble

    public Object assemble(Class type,
                           Map fieldValues)
                    throws IllegalArgumentException

  Description copied from interface: `StructuredPropertyEditor`
  Assemble and bind a property value from the specified fieldValues and the given type

  Specified by:
    `assemble` in interface `StructuredPropertyEditor`
  Parameters:
    `type` - The type
    `fieldValues` - The field values
  Returns:
    A bound property
  Throws:
    `IllegalArgumentException` - Thrown in one of the field values is illegal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project